# ACE_Null_Barrier Class Reference

Implements "NULL barrier synchronization". More...

`#include <Null_Barrier.h>`

List of all members.

## Public Member Functions

| ACE_Null_Barrier (unsigned int, const char *=0, void *=0)
| Initialize the barrier to synchronize <count> threads.
| ~ACE_Null_Barrier (void)
| Default dtor.
int | wait (void)
void | dump (void) const
| Dump the state of an object.

## Private Member Functions

void | operator= (const ACE_Null_Barrier &)
| Declare the dynamic allocation hooks.
| ACE_Null_Barrier (const ACE_Null_Barrier &)

## Detailed Description

Implements "NULL barrier synchronization".

## Constructor & Destructor Documentation

ACE_Null_Barrier::ACE_Null_Barrier | ( | unsigned | int,
|  | const char * | = `0`,
|  | void * | = `0`
| ) | `[inline]`

| Initialize the barrier to synchronize <count> threads.

ACE_Null_Barrier::~ACE_Null_Barrier | ( | void |  | ) | `[inline]`

| Default dtor.

ACE_Null_Barrier::ACE_Null_Barrier | ( | const ACE_Null_Barrier & |  | ) | `[private]`

## Member Function Documentation

void ACE_Null_Barrier::dump | ( | void |  | ) | const`[inline]`

| Dump the state of an object.

void ACE_Null_Barrier::operator= | ( | const ACE_Null_Barrier & |  | ) | `[private]`

| Declare the dynamic allocation hooks.

int ACE_Null_Barrier::wait | ( | void |  | ) | `[inline]`

| Block the caller until all <count> threads have called <wait> and then allow all the caller threads to continue in parallel.

The documentation for this class was generated from the following file:

- Null_Barrier.h